heartbleed

MonsterMegs
Apr 08, 2014

OpenSSL (Heartbleed) Patched on all MonsterMegs Servers

By Kevin 0

As of 9:30AM (CST) on April 8, 2014, all MonsterMegs servers vulnerable to CVE-2014-0160 (Heartbleed) OpenSSL security bug have been patched. This security vulnerability is…

Sign Up for our Newsletter

Join our newsletter, get a free e-book with tips on creating successful websites. Get access to special offers for clients.